'DESCRIPTION: Wawi: Dlg: Wiedervorlage Belege
'USEDBY: WAWI

dim erg, beldefnummer as long

dim filename1 as string
dim indexname, hilf as string
dim wnderg as string

dim fw_einheiten as double
dim fw_berechnung as string
dim letztegeholtenummer as string
dim runddiffbeleg(5), betrbrutto(5), betrnetto(5), mwst_satz(5) as double

end

@wiedervorlage.oncreate:
  @datum_von = 0
  @datum_bis = date
  @belegdef_von = 0
  @belegdef_bis = 0
  @bearbeiter = bearbeiter( 0)
  gosub setze_filter
return

setze_filter:
@datum_von.onexitchanged:
@datum_bis.onexitchanged:
@belegdef_von.onexitchanged:
@belegdef_bis.onexitchanged:
@adresse_von.onexitchanged:
@adresse_bis.onexitchanged:
@bearbeiter.onexitchanged:
  setfilter( "WBELVOR", "")
  setfilter( "WBELVOR", "ARCHIVART = ''")
  if @bearbeiter <> "" then
    setfilter( "WBELVOR", replace( "BEARBEITER = '%1'", @bearbeiter))
  end if
  setoptfilternum( "WBELVOR", "VORDATUM", @datum_von, @datum_bis)
  setoptfilternum( "WBELVOR", "BELDEF_NUM", @belegdef_von, @belegdef_bis)
  setoptfilterstring( "WBELVOR", "ADR_NUMM_A", @adresse_von, @adresse_bis)
  gosub wbelvor_onrecordchange
return

wbelvor_onrecordchange:
@wbelvor.onrecordchange:
  enable( @beleg_bearbeiten, (eof( "WBELVOR") = 0) or (bof( "WBELVOR") = 0))
return

@wbelvor.onselectrecord:
@beleg_bearbeiten.onpress:
  belegauswahl( &WBELVOR.BELDEF_NUM, &WBELVOR.STM_NUMMER)
return

'$INCLUDE \BAS\WIBELERF
'$INCLUDE \RTS\BAS\RDRUMAK1
'$INCLUDE \BAS\WIBELEG
'$INCLUDE \BAS\XFWPRC
